## org.apache.cassandra.thrift
Class ThriftValidation

    java.lang.Object
      org.apache.cassandra.thrift.ThriftValidation

    public class ThriftValidation

extends java.lang.Object

Constructor Summary
`ThriftValidation()`

Method Summary
`static java.lang.String` `validateColumnFamily(java.lang.String tablename, java.lang.String cfName)`
`static void` `validateColumnOrSuperColumn(java.lang.String keyspace, java.lang.String cfName, ColumnOrSuperColumn cosc)`
`static void` `validateColumns(java.lang.String keyspace, ColumnParent column_parent, java.lang.Iterable<byte[]> column_names)`
`static void` `validateDeletion(java.lang.String keyspace, java.lang.String cfName, Deletion del)`
`static void` `validateKeyRange(KeyRange range)`
`static void` `validateMutation(java.lang.String keyspace, java.lang.String cfName, Mutation mut)`
`static void` `validatePredicate(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate)`
`static void` `validateRange(java.lang.String keyspace, ColumnParent column_parent, SliceRange range)`
`static void` `validateSlicePredicate(java.lang.String keyspace, java.lang.String cfName, byte[] scName, SlicePredicate predicate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThriftValidation

    public ThriftValidation()

Method Detail

### validateColumnFamily

    public static java.lang.String validateColumnFamily(java.lang.String tablename,
                                                        java.lang.String cfName)
                                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumns

    public static void validateColumns(java.lang.String keyspace,
                                       ColumnParent column_parent,
                                       java.lang.Iterable<byte[]> column_names)
                                throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateRange

    public static void validateRange(java.lang.String keyspace,
                                     ColumnParent column_parent,
                                     SliceRange range)
                              throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateColumnOrSuperColumn

    public static void validateColumnOrSuperColumn(java.lang.String keyspace,
                                                   java.lang.String cfName,
                                                   ColumnOrSuperColumn cosc)
                                            throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateMutation

    public static void validateMutation(java.lang.String keyspace,
                                        java.lang.String cfName,
                                        Mutation mut)
                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateDeletion

    public static void validateDeletion(java.lang.String keyspace,
                                        java.lang.String cfName,
                                        Deletion del)
                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateSlicePredicate

    public static void validateSlicePredicate(java.lang.String keyspace,
                                              java.lang.String cfName,
                                              byte[] scName,
                                              SlicePredicate predicate)
                                       throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validatePredicate

    public static void validatePredicate(java.lang.String keyspace,
                                         ColumnParent column_parent,
                                         SlicePredicate predicate)
                                  throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validateKeyRange

    public static void validateKeyRange(KeyRange range)
                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

Copyright © 2010 The Apache Software Foundation